Redmine - Defect #19657

Can't reorder activities after disabling activities on a project
2015-04-17 19:45 - Zer Guz

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: Administration Estimated time: 0.00 hour
Target version: 3.2.0

Resolution: Fixed Affected version: 3.0.0
Description

Steps to reproduce:

e Add an activity item -> it appears in the bottom of the list.
¢ Try to move this last item one level up -> it doesn't move.

Moving the item directly to the top works. Then you can move it one level down and up. Only the last item won't move one level up.

Related issues:
Related to Redmine - Defect #20117: Activities set as inactive missing in spe... Closed

Associated revisions

Revision 14627 - 2015-09-30 20:35 - Jean-Philippe Lang

Forces enumeration override position to the same as its parent (#19657).

Revision 14633 - 2015-09-30 22:59 - Jean-Philippe Lang
SQL error with MySQL (#19657).

Revision 14634 - 2015-09-30 23:07 - Jean-Philippe Lang

Update enumeration ovverides with their parents (#19657).

History

#1 - 2015-05-17 06:05 - Toshi MARUYAMA

- Status changed from New to Needs feedback

| cannot reproduce on 3.0.3 and 2.6.5.

#2 - 2015-05-18 12:28 - Zer Guz

| tried with 3.0.1 and the problem is there. | will try with 3.0.3 as soon as | have the opportunity.
Clarifications:

e This is happening in Administration -> Enumerations -> Activities (time tracking).

* The problem always happens for me after | add a new item. Trying this with the last item that you already have in this enumeration might not
reproduce the problem.

e | tried with Firefox and IE: the problem happens in both.

#3 - 2015-05-18 12:47 - Toshi MARUYAMA

| can reproduce first time for new item on 2.6.5, but work second time.
| cannot reproduce on 3.0.3.

#4 - 2015-05-18 12:49 - Toshi MARUYAMA

| cannot reproduce on 3.0.0.

#5 - 2015-05-18 12:52 - Toshi MARUYAMA
Toshi MARUYAMA wrote:

| cannot reproduce on 3.0.0.

2025-07-06 1/2



https://www.redmine.org/versions/96
https://www.redmine.org/versions/95
https://www.redmine.org/versions/92
https://www.redmine.org/versions/96
https://www.redmine.org/versions/95
https://www.redmine.org/versions/96
https://www.redmine.org/versions/80
https://www.redmine.org/versions/80

Works on Windows IE/Chrome/Firefox.

#6 - 2015-05-18 19:59 - Zer Guz

Tried with 3.0.3 (default bitnami setup) - cannot reproduce the issue. Still it is happening with our production setup based on 3.0.1. | cannot yet
confirm if it is because of the version difference or because of our production data. Will confirm when we switch our production setup to 3.0.3.

#7 - 2015-05-19 11:47 - Zer Guz

Now | managed to reproduce the problem with 3.0.3 installed from the scratch (bithami VM image with no previous data). It happens when you define
a project with a custom set of activities (disable some activities).

This is what | did:

e | set these activities in Administration -> Enumerations (in this order):
o Design (Active=OFF)
o Development (Active=ON)
e Create a project and set in Project -> Settings -> Activities:
o Design (Active=ON)
o Development (Active=OFF)
Go back to Administration -> Enumerations.
Add activity "Testing". It will be added at the end of the list.
Move "Testing" one level up. Will not move. <- THIS IS THE PROBLEM
Go again to the previous Project -> Settings -> Activities. Note that ii shows the order (Design, Testing, Development). IT SEEMS THAT
MOVING THE ACTIVITIES IN ADMINISTRATION AFFECTS INSTEAD THE ORDER IN THIS PROJECT.

So it looks like 3.0.3 is affected too.

#8 - 2015-06-17 06:31 - Toshi MARUYAMA

- Status changed from Needs feedback to New

#9 - 2015-07-17 02:25 - Toshi MARUYAMA

- Target version set to 3.1.0

#10 - 2015-07-17 02:26 - Toshi MARUYAMA

- Related to Defect #20117: Activities set as inactive missing in spent time report filter added

#11 - 2015-07-25 10:57 - Jean-Philippe Lang

- Target version changed from 3.1.0 to 3.2.0

#12 - 2015-09-30 20:37 - Jean-Philippe Lang
- Status changed from New to Closed
- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

This problem was indeed caused by overrides at projet level. It should be fixed in r14627.
If your positions are messed up (not sequential), this will be fixed after the first reodering.

#13 - 2015-09-30 20:38 - Jean-Philippe Lang

- Subject changed from Can't move one level up the last activity item. to Can't reorder activities after disabling activities on a project
